Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.core
Class HistoryType

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.core.HistoryType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AddressHistoryType, BirthHistoryType, CivilstateHistoryType, DeceaseHistoryType, FamilyCompositionHistoryType, GenderHistoryType, NameHistoryType, NationalityHistoryType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class HistoryType

extends Object
implements Serializable

Java class for HistoryType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="HistoryType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Source" type="{urn:be:fgov:ehealth:consultRN:1_0:core}OriginType" minOccurs="0"/>
             <element name="ModificationDate" type="{urn:be:fgov:ehealth:consultRN:1_0:core}IncompleteDateType" minOccurs="0"/>
             <element name="EffectuationDate" type="{urn:be:fgov:ehealth:consultRN:1_0:core}IncompleteDateType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`HistoryType()`

Method Summary
`String` | `getEffectuationDate()` Gets the value of the effectuationDate property.
`String` | `getModificationDate()` Gets the value of the modificationDate property.
`OriginType` | `getSource()` Gets the value of the source property.
`void` | `setEffectuationDate(String value)` Sets the value of the effectuationDate property.
`void` | `setModificationDate(String value)` Sets the value of the modificationDate property.
`void` | `setSource(OriginType value)` Sets the value of the source property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistoryType

    public HistoryType()

Method Detail

### getSource

    public OriginType getSource()

  Gets the value of the source property.

  Returns:
    possible object is `OriginType`

### setSource

    public void setSource(OriginType value)

  Sets the value of the source property.

  Parameters:
    `value` - allowed object is `OriginType`

### getModificationDate

    public String getModificationDate()

  Gets the value of the modificationDate property.

  Returns:
    possible object is `String`

### setModificationDate

    public void setModificationDate(String value)

  Sets the value of the modificationDate property.

  Parameters:
    `value` - allowed object is `String`

### getEffectuationDate

    public String getEffectuationDate()

  Gets the value of the effectuationDate property.

  Returns:
    possible object is `String`

### setEffectuationDate

    public void setEffectuationDate(String value)

  Sets the value of the effectuationDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.